import constant from './constant'

// 存储变量名
let storageKey = 'storage_data'

// 存储节点变量名
let storageNodeKeys = [
	constant.avatar, 
	constant.name, 
	constant.roles,
	constant.permissions,
	constant.userOrWorker
]

// 存储的数据
let storageData = uni.getStorageSync(storageKey) || {}

const storage = {
  set: function(key:string, value:any) {
    if (storageNodeKeys.indexOf(key) != -1) {
      let tmp = uni.getStorageSync(storageKey)
      tmp = tmp ? tmp : {}
      tmp[key] = value
      uni.setStorageSync(storageKey, tmp)
    }
  },
  get: function(key:string) {
    return storageData[key] || ""
  },
  remove: function(key:string) {
    delete storageData[key]
    uni.setStorageSync(storageKey, storageData)
  },
  clean: function() {
    uni.removeStorageSync(storageKey)
  }
}

export default storage
